Subject: RE: bug#22987: 24.5; Incorrect index entry for (elisp) `?help-e

From: Drew Adams <[email-masked]>
Date: Sat, 26 Mar 2016 18:33:23 -0700 (PDT)

> > I cannot use any Emacs 25 pretest that I've found - at all. It simply
> > crashes almost immediately. And no, I don't have the time to dig into why.
> 
> Whoa, that's pretty serious, Drew!  Is that a pretest built with debugging
> enabled?  What debuggers do you have available?  I could write down some
> steps for you to follow.

This the most recent pretest build I have:

In GNU Emacs 25.0.90.4 (i686-w64-mingw32)
 of 2016-03-20 built on LAPHROAIG
Windowing system distributor 'Microsoft Corp.', version 6.1.7601
Configured using:
 'configure --host=i686-w64-mingw32 --without-dbus
 --without-compress-install CFLAGS=-static'

I have no idea whether, or what, debugging might be enabled
in that.

I don't really have time now to debug this anyway, but if you
want to send some steps to follow, thank you.  Maybe I'll get
some time later this summer.

Otherwise, hopefully someone else will run into the same problem
eventually.  Otherwise, I'll maybe have to stay with Emacs 24.5.

I've had such crashes with all Emacs 25 builds since early 2015,
IIRC (not just pretests).  There is never any obvious connection
with anything that I am doing when a crash occurs.  Crashing
seems random.  A wild guess would be that the actual problem
occurs sometime earlier, and that it is in the C layer.

I generally have been using only Emacs 24.5, since 25 is
unusable for me.  I use 25 only to check info about some mail or
bug thread or a user question - e.g. a new feature, and I often
have to restart Emacs multiple times to be able to do even that,
because of the quick crashing.